
From: Dominik Brodowski <linux@dominikbrodowski.de>

PendingEvents is unused, so remove it

Signed-off-by: Dominik Brodowski <linux@brodo.de>
Signed-off-by: Andrew Morton <akpm@osdl.org>
---

 25-akpm/drivers/pcmcia/ds.c |    2 --
 25-akpm/include/pcmcia/ds.h |    2 +-
 2 files changed, 1 insertion(+), 3 deletions(-)

diff -puN drivers/pcmcia/ds.c~pcmcia-remove-pending_events drivers/pcmcia/ds.c
--- 25/drivers/pcmcia/ds.c~pcmcia-remove-pending_events	Fri Dec 17 15:24:59 2004
+++ 25-akpm/drivers/pcmcia/ds.c	Fri Dec 17 15:24:59 2004
@@ -741,8 +741,6 @@ int pcmcia_register_client(client_handle
 	if ((s->state & (SOCKET_PRESENT|SOCKET_CARDBUS)) == SOCKET_PRESENT) {
 		if (client->EventMask & CS_EVENT_CARD_INSERTION)
 			EVENT(client, CS_EVENT_CARD_INSERTION, CS_EVENT_PRI_LOW);
-		else
-			client->PendingEvents |= CS_EVENT_CARD_INSERTION;
 	}
 
 	up(&s->skt_sem);
diff -puN include/pcmcia/ds.h~pcmcia-remove-pending_events include/pcmcia/ds.h
--- 25/include/pcmcia/ds.h~pcmcia-remove-pending_events	Fri Dec 17 15:24:59 2004
+++ 25-akpm/include/pcmcia/ds.h	Fri Dec 17 15:24:59 2004
@@ -165,7 +165,7 @@ struct pcmcia_device {
 		dev_info_t		dev_info;
 		u_int			Attributes;
 		u_int			state;
-		event_t			EventMask, PendingEvents;
+		event_t			EventMask;
 		int (*event_handler)	(event_t event, int priority,
 					 event_callback_args_t *);
 		event_callback_args_t 	event_callback_args;
_
